Python (SDK)
from meetkai_mka1 import SDK, models
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_runs.wake_agent_run(agent_id="<id>", run_id="<id>", input=[
models.WakeAgentRunRequestInput(),
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentRuns.wakeAgentRun({
agentId: "<id>",
runId: "<id>",
wakeAgentRunRequest: {
input: [
{},
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentRuns.WakeAgentRunAsync(
agentId: "<id>",
runId: "<id>",
body: new MeetKai.MKA1.Types.Components.WakeAgentRunRequest() {
Input = WakeAgentRunRequestInputUnion.CreateArrayOfWakeAgentRunRequestInput(
new List<WakeAgentRunRequestInput>() {
new WakeAgentRunRequestInput() {},
}
),
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/agents/{agent_id}/runs/{run_id}/wake \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/agents/{agent_id}/runs/{run_id}/wake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "agent.run.wake",
"run_id": "<string>",
"gateway_response_id": "<string>",
"gateway_wake": {}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}Agent Runs
Wake a sleeping agent run
Interrupts a short sleep tool call on a background run by forwarding follow-up input to the gateway response.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
runs
/
{run_id}
/
wake
Python (SDK)
from meetkai_mka1 import SDK, models
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_runs.wake_agent_run(agent_id="<id>", run_id="<id>", input=[
models.WakeAgentRunRequestInput(),
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentRuns.wakeAgentRun({
agentId: "<id>",
runId: "<id>",
wakeAgentRunRequest: {
input: [
{},
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentRuns.WakeAgentRunAsync(
agentId: "<id>",
runId: "<id>",
body: new MeetKai.MKA1.Types.Components.WakeAgentRunRequest() {
Input = WakeAgentRunRequestInputUnion.CreateArrayOfWakeAgentRunRequestInput(
new List<WakeAgentRunRequestInput>() {
new WakeAgentRunRequestInput() {},
}
),
}
);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Required string length:
1 - 20000Was this page helpful?
⌘I